require 'spec_helper'

describe Remind101::Error do
  specify { Remind101::Error::ClientError.should inherit_from Faraday::ClientError }

  [
    Remind101::Error::BadInput,
    Remind101::Error::Unauthorized,
    Remind101::Error::ResourceNotFound,
    Remind101::Error::ValidationError,
    Remind101::Error::ConnectionFailed,
    Remind101::Error::ServerError
  ].each do |klass|
    specify { klass.should inherit_from Remind101::Error::ClientError }
  end

  [
    Remind101::Error::InternalServerError,
    Remind101::Error::ServiceUnavailable,
  ].each do |klass|
    specify { klass.should inherit_from Remind101::Error::ServerError }
  end
end
